精华内容
下载资源
问答
  • ubuntu 指令打开各类文件

    千次阅读 2014-05-16 07:00:38
    Ubuntu下,通常用命令行打开文本文件,比如用命令gedit、more、cat、vim、less。但当需要打开其他格式文件时,比如pdf、jpg、mp3格式文件,咱们通常做法是进入到文件所在的目录,双击打开,很影响效率。事实上,...

    在Ubuntu下,通常用命令行打开文本文件,比如用命令gedit、more、cat、vim、less。但当需要打开其他格式文件时,比如pdf、jpg、mp3格式文件,咱们通常做法是进入到文件所在的目录,双击打开,很影响效率。事实上,可以通过命令xdg-open(opens a file or URL in the user's preferred application)打开这些格式文件,甚至是网页,像打开文件一样简单。

    xdg-open会选择合适的程序打开指定文件,跟双击打开效果一样。

    具体操作如下:
    xdg-open { file | URL }

    展开全文
  • df -h 查看分区信息 sudo du -d 1 -k /home/* | sort -n -r 查找/home文件夹下的大文件 sudo rm -fr $HOME/.local/share/Trash/files/ 清空回收站

    df -h
    查看分区信息

    sudo du -d 1 -k /home/* | sort -n -r
    查找/home文件夹下的大文件

    删除无用大文件

    sudo rm -fr $HOME/.local/share/Trash/files/
    清空回收站

    展开全文
  • ubuntu运行sh脚本sudo自动输入密码 使用管道(上一个命令的 stdout 接到下一个命令的 stdin): #!/bin/bash echo password | sudo -S apt-get update    -S参数的作用 使用man命令查询sudo,对...

    在Linux 系统中,每当命令执行完成后,系统都会返回一个退出状态。该退出状态用一整数值表示,用于判断命令运行正确与否。若退出状态值为 0,表示命令运行成功;而退出状态值不为 0时,则表示命令运行失败。最后一次执行的命令的退出状态值被保存在内置变量“ $?”中,所以可以通过echo语句进行测试命令是否运行成功。 POSIX规定了以下几种退出状态和退出状态的含义。

    常用参数

    格式:exit n

    退出。设置退出码为n。(Cause the shell to exit with a status of n.)

     

    格式:exit

    退出。退出码不变,即为最后一个命令的退出码。(If n is omitted, the exit status is that of the  last  command executed. )

     

    格式:$?

    上一个命令的退出码。

     

    格式:trap "commands" EXIT

    退出时执行commands指定的命令。( A trap on EXIT is executed before the shell terminates.)

     

    退出码(exit status,或exit code)的约定:

    0表示成功(Zero - Success)

    非0表示失败(Non-Zero  - Failure)

    2表示用法不当(Incorrect Usage)

    127表示命令没有找到(Command Not Found)

    126表示不是可执行的(Not an executable)

     

     

    使用示例

    示例一 退出当前shell

    [root@new55 ~]# [root@new55 ~]# exit logout

     

    示例二 在脚本中,进入脚本所在目录,否则退出

    Bash代码 

    1

    cd $(dirname $0) || exit 1

     

    示例三 在脚本中,判断参数数量,不匹配就打印使用方式,退出

    1

    2

    3

    4

    if "$#" -ne "2" ]; then

        echo "usage: $0 <area> <hours>"

        exit 2

    fi

    示例四 在脚本中,退出时删除临时文件

    1

    trap "rm -f tmpfile; echo Bye." EXIT

    示例五 检查上一命令的退出码

    1

    2

    3

    4

    5

    ./mycommand.sh

    EXCODE=$?

    if "$EXCODE" == "0" ]; then

        echo "O.K"

    fi

    以下是一些实际的例子:

    alloy@raspberrypi:/home$ ls
    alloy  pi
    alloy@raspberrypi:/home$ echo $?
    0
    #运行成功
    alloy@raspberrypi:/home$ ls test
    ls: cannot access test: No such file or directory
    alloy@raspberrypi:/home$ echo $?
    2
    #传递参数失败
    alloy@raspberrypi:/home$ test
    alloy@raspberrypi:/home$ echo $?
    1
    #传递参数失败
    alloy@raspberrypi:/home$ alloy
    -bash: alloy: command not found
    alloy@raspberrypi:/home$ echo $?
    127
    #没有这个命令

    --------------------- 
    作者:alloy 
    来源:CSDN 
    原文:https://blog.csdn.net/alloyinrunning/article/details/23660265 

    https://www.cnblogs.com/itcomputer/p/4157859.html
    版权声明:本文为博主原创文章,转载请附上博文链接!

     

     

     

    附加阅读:

    ubuntu运行sh脚本sudo自动输入密码

    使用管道(上一个命令的 stdout 接到下一个命令的 stdin):

    #!/bin/bash
    echo password | sudo -S apt-get update

     

     -S参数的作用

    使用man命令查询sudo,对参数-S的说明

     

    展开全文
  • ubuntu dd指令

    千次阅读 2017-08-10 15:27:31
    指令:fdisk  -l (若权限不够,加sudo) 2.硬盘拷贝: 指令:dd if=/dev/sda of=/dev/sdb bs=1024k & (1) if:input file of:output file (2) bs=1024k,一定要加k, 默认是bytes,不加K或M,是以bytes...

    1.首先使用 查看分区确定

    指令:fdisk  -l 若权限不够,加sudo

    2.硬盘拷

    指令:dd if=/dev/sda of=/dev/sdb bs=1024k &

    (1) ifinput file    ofoutput file

    (2) bs=1024k,一定要加k, 默认是bytes,不加KM,是以bytes写入,

    (3) &后台进行

    (4) 该指令输入之后,会显示id

    3.查看dd完成进度

    (1) 首先查看dd进程id号指令:ps -ef|grep dd  

    (2) 然后查看进度指令:kill -USR1  id 

    (3) 2秒查看一次进度指令: watch -n 1 kill -USR1 3730 3730id 

    4.注意事项:

    如果sdb原来是一个裸盘没有格式化过,dd可能并不能拷贝superblock信息,所以盘不能mount起来。

    所以需要进入fdisk界面:

    输入指令: fdisk /dev/sdb    然后输入指令: w

    “write table to disk and exit”sdb就可以mount起来了,如果是格过的,可能需要fsck一下就可以了

    注意:建议不要轻易dd,在有把握情况下或数据备份过情况下使用dd

     

    展开全文
  • Ubuntu 关机指令

    2013-03-08 20:49:05
    关机指令:shutdown 常用参数: -h 关机 -r 重启 语法:shutdown 参数 执行时间 Ctrl + C 即可终止关机指令。 可以使用 Ctrl + z 将任务放入后台执行。 普通用户需要使用 sudo 指令提权...
  • Ubuntu18.04 常用指令

    千次阅读 2019-05-10 18:56:12
    Ubuntu18.04常用指令Ubuntu系统下常用的新建、删除、拷贝文件命令相关命令:常用新建、删除、拷贝命令:常用解压、安装程序、文件更新命令:deb格式双击即可安装 Ubuntu系统下常用的新建、删除、拷贝文件命令 我们在...
  • 一条指令搞定 sudo apt-get install mysql-workbench 参照地址
  • Linux Ubuntu基本操作指令

    万次阅读 多人点赞 2018-06-10 17:01:22
    Linux的登录方式: 1. 本地登录 2. 远程登录:putty使用查看运行级别:Linux运行级别0~6级, 0 关机 6 重启 1 单用户 2,3 多用户。可以通过runlevel 查看...关机指令:shutdown [option] time [warning-message] ...
  • ubuntu16.04 指令打开各类文件

    千次阅读 2020-01-27 13:47:42
    Ubuntu下,通常用命令行打开文本文件,比如用命令gedit、more、cat、vim、less。但当需要打开其他格式文件时,比如pdf、jpg、mp3格式文件,咱们通常做法是进入到文件所在的目录,双击打开,很影响效率。事实上,...
  • Ubuntu 强制关机指令

    2020-05-14 10:11:16
    systemctl --force --force reboot
  • python 执行ubuntu terminal 指令

    千次阅读 2019-04-18 19:15:08
    In [1]: import os In [2]: import torch In [3]: os.system('vim av.txt') htt...
  • Ubuntu lsof指令 慢 卡顿原因

    千次阅读 2019-01-18 18:02:31
    Linux踩坑记录Linux服务器上lsof指令慢 Linux服务器上lsof指令慢 查到原因是 http://blog.chinaunix.net/uid-24648266-id-5744774.html 这篇文章里提到的,因为使用了无效的DNS导致的,可以把/etc/resove.conf文件中...
  • ubuntu: du指令

    千次阅读 2018-03-30 15:07:41
    Introduction du [选项][文件] 显示每个文件和目录的磁盘使用空间。 语法 ...du: illegal option -- - usage: du [-H | -L | -P] [-a | -s | -d depth] [-c] [-h | -k | -m | -g] [-x] [-I mask] [file ...] ...
  • 经常碰到执行apt-get指令安装ROS的包时无法自动补全的情况, 可能重启一下就没问题了. 搜一下,也可以用更方便的方法解决.1-打开~/.bashr文件gedit ~/.bashrc在原内容末尾附件找到# enable programmable completion ...
  • ubuntu查看串口信息指令

    千次阅读 2019-03-18 13:12:19
    ls -l ttyS* ls -I ttyUSB*
  • Ubuntu查找指令:find与grep

    千次阅读 2019-06-10 15:15:45
    转载网址: ...find 1.作用 find命令的作用是在目录中搜索文件,它的使用权限是所有用户。 2.格式 find [path][options][expression] path指定目录路径,系统从这里开始沿着目录树向下查找文件。它是一个路径列表,相互...
  • ubuntu安装软件指令详解

    千次阅读 2019-04-23 19:20:40
    Ubuntu的软件包格式是deb,如果要安装rpm的包,则要先用alien把rpm转换成deb。 方法一: 先安装 alien 和 fakeroot 这两个工具,其中前者可以将 rpm 包转换为 deb 包。安装命令为: sudo apt-get ...
  • ubuntu 18.04 使用 make 指令出错

    千次阅读 2018-11-29 16:19:06
    这段时间学习了在ubuntu 18.04的环境下搭建STM32开发环境,在使用make命令时出现一个报错信息。 报错信息: arm-none-eabi-gcc: error trying to exec 'cc1': execvp: No such file or directory makefile:32: ...
  • Linux Ubuntu系统安装pytorch的指令

    万次阅读 2018-07-29 08:40:18
    可能由于pytorch官网在国外服务器的原因,下图中的Package Manage;Python; CUDA选择老半天也没反应过来,且...Linux Ubuntu系统如何安装pytorch呢?只需两步。 1.找到对应的版本后,复制Run this command后面的内...
  • ubuntu下控制音量大小的指令 alsamixer 输入这个指令会出现一个调节音量的界面。调节完成后按“ESC”退出 一般都是调节界面中第一个音量的大小. 转载于:...
  • Ubuntu SSE库 编程实例---复数乘法与共轭乘法 1. SSE指令集介绍 2. SSE指令集原理 3. 常用SSE指令集 4. SSE实现复数乘法 5. SSE实现复数共轭乘法
  • Ubuntu vi指令:编辑与光标移动

    千次阅读 2019-10-07 15:22:08
    如何在vi编辑器中编辑和移动光标
  • Ubuntu普通用户sudo指令使用

    千次阅读 2017-03-18 13:03:24
    你在使用Ubuntu的 Linux 命令行时曾经得到过“(Permission denied)”的错误提示吗?这可能是因为你正在尝试执行一个需要 root 权限的操作。例如,下面的截图展示了当我尝试复制一个二进制文件到一个系统目录时产生...
  • ubuntu 下的文件操作指令

    千次阅读 2016-08-15 15:36:10
    1.关闭防火墙:ufw disable 2.以.开头的表示隐藏文件 3..和..... 4.显示当前用户所在目录pwd ...5.touch创建空文件 ...7.cp -R [源文件夹] [目标文件夹]复制文件夹-R或–recursive表示递归处理,将指定目录下的所有文件...
  • ubuntu重启networkmanager的指令

    千次阅读 2019-02-20 11:04:39
    sudo service network-manager stop sudo rm /var/lib/NetworkManager/NetworkManager.state sudo service network-manager start 有可能解决网络图标消失的情况,如果没解决的话,可以尝试在以上代码之后加上 ...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 88,020
精华内容 35,208
关键字:

ubuntu指令